
TYPO3.Fluid - Feature # 48218

Status: Resolved Priority: Should have
Author: Alexander Berl Category: ViewHelpers
Created: 2013-05-15 Assigned To: Alexander Berl
Updated: 2014-07-11 Due date:
Has patch: No
Subject: Make NumberViewHelper regard locale like CurrencyViewHelper does.
Description

Currently the NumberViewHelper doesn't regard the locale, but the CurrencyViewHelper (and DateViewHelper) does.
Those ViewHelpers should be put in line with each other regarding Locale awareness.

Associated revisions
Revision df00bf92 - 2013-10-21 12:42 - Alexander Berl

[FEATURE] Make NumberViewHelper regard locale

This change makes the NumberViewHelper use the forceLocale attribute
like the Currency and DateViewHelper do.
It also abstracts the locale awareness away into a seperate abstract
ViewHelper class to lay a foundation for other such ViewHelpers.

Change-Id: Ib3c05586160a521e0bc380373296b85b09bb0872
Releases: master
Resolves: #48218

History
#1 - 2013-05-15 14:26 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20788

#2 - 2013-05-15 19:15 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20788

#3 - 2013-10-21 11:42 - Bastian Waidelich
- Tracker changed from Task to Feature

Alexander, thanks for your great support and please excuse the slow review process. I'll take care of this one now - but I think this should be declared
"feature"
#4 - 2013-10-21 12:42 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20788

#5 - 2013-10-21 17:53 - Alexander Berl

No problem Bastian, I'm pretty much out of Flow coding business for the time being either, so I can barely provide as much as a half year ago ;(
Thanks for taking care!

#6 - 2013-10-21 18:05 - Bastian Waidelich

Alexander Berl wrote:

No problem Bastian, I'm pretty much out of Flow coding business for the time being either, so I can barely provide as much as a half year ago ;(

Too bad, your patches were of great quality!

#7 - 2013-10-21 18:23 - Alexander Berl

I hope to get back in latest somewhen in spring. But then with a relatively big project where I will require quite some features and contribute them if
they're not done yet ;)
I'll still keep watching and providing my input and the occasional weekend-patch till then.

#8 - 2013-10-21 18:27 - Bastian Waidelich

Alexander Berl wrote:

I hope to get back in latest somewhen in spring. But then with a relatively big project where I will require quite some features and contribute them if
they're not done yet ;)
I'll still keep watching and providing my input and the occasional weekend-patch till then.

good to hear!

#9 - 2014-07-11 20:39 - Alexander Berl
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:df00bf92a42d92b26e66c30976272115a24992f1.
